OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Vector Class Reference

`#include <PGeom2d_Vector.hxx>`

Inheritance diagram for PGeom2d_Vector:

[legend]

## Public Member Functions
Standard_EXPORT void | Vec (const gp_Vec2d &aVec)
| Set the field vec. .
Standard_EXPORT gp_Vec2d | Vec () const
| Returns the value of the field vec. .
| PGeom2d_Vector (const Storage_stCONSTclCOM &a)
const gp_Vec2d & | _CSFDB_GetPGeom2d_Vectorvec () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | PGeom2d_Vector ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom2d_Vector (const gp_Vec2d &aVec)
| Initializes the field vec with <avec>. .
## Protected Attributes
gp_Vec2d | vec

## Constructor & Destructor Documentation

PGeom2d_Vector::PGeom2d_Vector | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PGeom2d_Vector::PGeom2d_Vector | ( |  | ) | `[protected]`

Standard_EXPORT PGeom2d_Vector::PGeom2d_Vector | ( | const gp_Vec2d & | aVec | ) | `[protected]`

## Member Function Documentation

const gp_Vec2d& PGeom2d_Vector::_CSFDB_GetPGeom2d_Vectorvec | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom2d_Vector::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Geometry. Reimplemented in PGeom2d_Direction, and PGeom2d_VectorWithMagnitude.

Standard_EXPORT gp_Vec2d PGeom2d_Vector::Vec | ( |  | ) | const

Standard_EXPORT void PGeom2d_Vector::Vec | ( | const gp_Vec2d & | aVec | ) |

## Field Documentation

gp_Vec2d PGeom2d_Vector::vec`[protected]`

The documentation for this class was generated from the following file:

- PGeom2d_Vector.hxx